Name:           spotify-qt
Version:        4.0.0
Release:        1%{?dist}
Summary:        Lightweight Spotify client using Qt

License:        GPLv3
URL:            https://github.com/kraxarn/%{name}
Source0:        https://github.com/kraxarn/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtsvg-devel
Requires:       qt6-qtbase
Requires:       qt6-qtsvg

%description
An unofficial Spotify client using Qt as a simpler, lighter alternative to the official client.

%prep
%autosetup

%build
cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=/usr .
%make_build

%install
%make_install

%files
%license license
%doc readme.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Mon Apr 28 2025 kraxarn - 4.0.0-1
- Now defaults to Qt 6.
- Deprecated Qt 5 support, to be removed in the next major release.
- Now requires C++17 on all platforms, as required by Qt 6.
- Development builds now use an incrementing "-dev" suffix instead of using the commit hash.
- Now uses "x.y.z" versioning, in an attempt for more frequent updates.
- Renamed the "master" branch to "develop" to clearer indicate it's in-development and unstable.
- Fixed Qt 6.9 support (#284).
- Changed "localhost" during auth to "127.0.0.1" (#281).
- Now requires CMake 3.16 or newer.
- Now targets macOS 12, as required by Qt 6.
- Removed KCrash support.
- Replaced ghc filesystem library with the standard library.
- Spotify client name now follows a "username@hostname" name.

* Wed Dec 11 2024 kraxarn - 3.12-1
- Fixed show/hide for "Added" column not being properly saved (#219, #267).
- Fixed some crashes related to starting Spotify client (#251, #252).
- Fixed search not loading results properly (#268).
- Fixed showing "0 tracks" in album context menu for non-cached albums until loaded.
- Fixed showing empty invalid playlists in the list of playlists.
- Fixed layout breaking on long status messages.
- Fixed sometimes showing a failed status for successful actions.
- Track and artist can now be clicked in now playing preview (#253).
- Added option to like albums from context menu (#255).
- Improved performance when loading artist albums.
- Added support for setting custom window and tray icon titles.
- Reworked "New Releases" to fetch everything as albums.
- Improved performance when loading album tracks.
- Removed support for saving passwords, as it's no longer supported.
- Removed optional keychain dependency.
- Added support for new OAuth authentication.
- Now requires librespot v0.5.0 or newer.
- Removed deprecated "Audio features".
- Improved performance when loading playlists.
- Now shows "Open/Close" in tray icon when "Close to tray" is enabled.
- Improved error messages from Spotify client.
- No longer shows "Related" artists when not available.

